<table class="table table-striped table-hover">
  <thead class="table-dark">
    <tr>
      <th>Presupuesto</th>
      <th>Unidad</th>
      <th>Producto</th>
      <th>Cantidad</th>
      <th>Valor Unitario</th>
      <th>Valor Total</th>
      <th>Fecha de Adquisición</th>
      <th>Proveedor</th>
      <th>Acciones</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let product of products">
      <td>{{ product.budget | currency:'COP' }}</td>
      <td>{{ product.unit }}</td>
      <td>{{ product.description }}</td>
      <td>{{ product.quantity }}</td>
      <td>{{ product.unitValue | currency:'COP' }}</td>
      <td>{{ product.totalValue | currency:'COP' }}</td>
      <td>{{ product.acquisitionDate | date:'dd/MM/yyyy' }}</td>
      <td>{{ product.supplier }}</td>
      <td>
        <button class="btn btn-warning btn-sm" (click)="onClickEdit(product)">Editar</button>
        <button class="btn btn-danger btn-sm" (click)="onClickDelete(product)">Eliminar</button>
      </td>
    </tr>
  </tbody>
</table>

<!-- Formulario de edición -->
<div *ngIf="selectedProduct" class="edit-form-container">
  <form [formGroup]="editForm" (ngSubmit)="onSubmitEdit()">
    <div class="mb-3">
      <label class="form-label">Monto Asignado</label>
      <input type="text" class="form-control" formControlName="budget">
    </div>
    <div class="mb-3">
      <label class="form-label">Departamento Responsable</label>
      <input type="text" class="form-control" formControlName="unit">
    </div>
    <div class="mb-3">
      <label class="form-label">Descripción del Producto</label>
      <input type="text" class="form-control" formControlName="description">
    </div>
    <div class="mb-3">
      <label class="form-label">Número de Unidades</label>
      <input type="number" class="form-control" formControlName="quantity">
    </div>
    <div class="mb-3">
      <label class="form-label">Costo por Producto</label>
      <input type="text" class="form-control" formControlName="unitValue">
    </div>
    <div class="mb-3">
      <label class="form-label">Costo Total</label>
      <input type="text" class="form-control" formControlName="totalValue">
    </div>
    <div class="mb-3">
      <label class="form-label">Fecha de Adquisición</label>
      <input type="date" class="form-control" formControlName="acquisitionDate">
    </div>
    <div class="mb-3">
      <label class="form-label">Entidad Proveedora</label>
      <input type="text" class="form-control" formControlName="supplier">
    </div>
    <input type="submit" value="Guardar Cambios" class="btn btn-info">
  </form>
</div>


